# Interface SupportedValuesAttribute

All Superinterfaces:
  `Attribute, Serializable`

All Known Implementing Classes:
  `CopiesSupported, JobImpressionsSupported, JobKOctetsSupported, JobMediaSheetsSupported, JobPrioritySupported, NumberUpSupported`

public interface SupportedValuesAttribute extends Attribute
Interface `SupportedValuesAttribute` is a tagging interface which a printing attribute class implements to indicate the attribute describes the supported values for another attribute. For example, if a Print Service instance supports the `Copies` attribute, the Print Service instance will have a `CopiesSupported` attribute, which is a `SupportedValuesAttribute` giving the legal values a client may specify for the `Copies` attribute.

## Method Summary

### Methods declared in interface Attribute

`getCategory, getName`
Modifier and Type
Method
Description
`Class<? extends Attribute>`
`getCategory()`
Get the printing attribute class which is to be used as the "category" for this printing attribute value when it is added to an attribute set.
`String`
`getName()`
Get the name of the category of which this attribute value is an instance.